Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::TearoffMenuItem Class Reference

A GtkTearoffMenuItem C++ wrapper class. More...

`#include <inti/gtk/tearoffmenuitem.h>`

Inheritance diagram for Inti::Gtk::TearoffMenuItem:

List of all members.

## Public Member Functions

Constructors

- TearoffMenuItem ()
    Construct a new tearoff menu item.
- virtual ~TearoffMenuItem ()
    Destructor.

Accessors

- GtkTearoffMenuItem * gtk_tearoff_menu_item () const
    Get a pointer to the GtkTearoffMenuItem structure.
- GtkTearoffMenuItemClass * gtk_tearoff_menu_item_class () const
    Get a pointer to the GtkTearoffMenuItemClass structure.
- operator GtkTearoffMenuItem * () const
    Conversion operator; safely converts a TearoffMenuItem to a GtkTearoffMenuItem pointer.
- bool is_torn_off () const
    Returns true if the tearoff menu item is torn off.

## Protected Member Functions

Constructors

- TearoffMenuItem (GtkTearoffMenuItem *tearoff_menu_item, bool reference=false)
    Construct a new TearoffMenuItem from an existing GtkTearoffMenuItem.

## Detailed Description

A GtkTearoffMenuItem C++ wrapper class.

TearoffMenuItem is a special MenuItem which is used to tear off and reattach its menu. When its menu is shown normally, the TearoffMenuItem is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window as a tearoff menu. When its menu is shown as a tearoff menu, the TearoffMenuItem is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will erase the tearoff menu window.

## Constructor & Destructor Documentation

Inti::Gtk::TearoffMenuItem::TearoffMenuItem | ( | GtkTearoffMenuItem * | tearoff_menu_item,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new TearoffMenuItem from an existing GtkTearoffMenuItem. Parameters:
  tearoff_menu_item | A pointer to a GtkTearoffMenuItem.
  reference | Set false if the initial reference count is floating, set true if it's not.
The tearoff_menu_item can be a newly created GtkTearoffMenuItem or an existing GtkTearoffMenuItem (see G::Object::Object).

The documentation for this class was generated from the following file:

- tearoffmenuitem.h

Main Page - Footer